<?xml version="1.0" encoding="utf-8"?>
<creole>
    <variables>
        <family name='schedule' icon='calendar'>
            <variable name='schedule_customize_tasks' type='oui/non' description='Personnaliser la fréquence des tâches schedule' mode='expert'>
                <value>non</value>
            </variable>
            <variable name='schedule_custom_queryauto_day' type='string' description='Fréquence de la tâche schedule queryauto'>
                <value>none</value>
            </variable>
            <variable name='schedule_custom_majauto_day' type='string' description='Fréquence de la tâche schedule majauto'>
                <value>weekly</value>
            </variable>
        </family>
    </variables>
    <constraints>
        <condition name='disabled_if_in' source='schedule_customize_tasks'>
            <param>non</param>
            <target>schedule_custom_queryauto_day</target>
            <target>schedule_custom_majauto_day</target>
        </condition>
        <check name='valid_enum' target='schedule_custom_queryauto_day'>
            <param>['none', 'daily', 'weekly', 'monthly']</param>
        </check>
        <check name='valid_enum' target='schedule_custom_majauto_day'>
            <param>['none', 'daily', 'weekly', 'monthly']</param>
        </check>
    </constraints>
    <help>
        <family name='schedule'>Personnalisation de la fréquence des tâches planifiées</family>
        <variable name='schedule_customize_tasks'>Donne accès aux fréquences de déclenchement (jamais, une fois par jour, une fois par semaine, une fois par mois) de certaines tâches schedule.</variable>
        <variable name='schedule_custom_queryauto_day'>La fréquence à laquelle la tâche queryauto (vérification de la disponibilité de mises à jour) est automatiquement exécutée (jamais par défaut).</variable>
        <variable name='schedule_custom_majauto_day'>La fréquence à laquelle la tâche majauto (mise à jour effective du système) est automatiquement exécutée (une fois par semaine par défaut).</variable>
    </help>
</creole>
